News

Blizzard's Games Will Stop Working on Windows XP and Vista Later this Year

| 20 Feb 2017 14:30
wow-320

Blizzard has announced that it is ending support for some older version of Windows in 2017.

If you're a fan of Blizzard's games who is still running Windows Vista or XP, you may want to think about an upgrade. The company announced over the weekend that it will be ending support for those two OSes later this year, which means that its games will no longer run in those versions of Windows.

The news comes from a post in the World of Warcraft forums by community manager Ornyx. Ornyx writes that, "Starting later this year, we will begin the process of ending support for Windows XP and Windows Vista in World of Warcraft, StarCraft II, Diablo III, Hearthstone, and Heroes of the Storm."

The rationale for ditching the two old OSes is simple: Microsoft has already ended support for XP, and will cease providing Vista support on April 11. Ornyx doesn't mention that specifically, but instead says, "Microsoft ceased mainstream support for these versions of Windows in 2009 and 2012, respectively, but since a decent portion of our audience was still using them at the time, we continued supporting them. However, there have been three major Windows releases since Vista, and at this point, the vast majority of our audience has upgraded to one of the newer versions."

So if you're still using XP or Vista, what does this news mean to you? In short, if you don't upgrade to a newer version of Windows before Blizzard makes the switch, you won't be able to play any Blizzard games on your PC. "After these older operating systems are no longer supported, the games will not run on them, so we encourage any players who are still using one of the older OSes to upgrade to a newer version."

It's not all that surprising that Blizzard is making this change. It's been a long time since Microsoft ended XP support, and with Vista support coming to an end in a few months, it's hard to fault Blizzard for wanting to move on from what is probably a painful process of making their games work on that old software. As one of the first commenters on the thread linked above said, "If you're still running XP or Vista, you're not running an OS you're running a security risk."

There's no date set yet as to when this change will go down, but the post does mention that it will be rolled out on "a staggered schedule," so you can likely expect a lot of nagging from Blizzard's launcher before it affects you.

RELATED CONTENT
Comments on